<ion-header>
    <ion-navbar>
        <ion-row>
            <ion-col col-12 text-center>
                <span class="business_name_at_dashboard">Invoice Preview</span>
            </ion-col>
        </ion-row>
    </ion-navbar>
</ion-header>

<ion-content style="margin-top: -30px;">
    <div id="invoice-temp">
        <table style="width:100%;padding:2%; height: 100%; margin: 0 auto; background: #fff; border:none; border-collapse: collapse;">
            <tbody>
                <tr>
                    <td align="center" style="font-family: Arial; font-size: 1.5rem; color: #000;margin: 0;padding: 0px 0px 0px;padding-top: 5%;
          padding-bottom: 2%;">
                        Government of India
                    </td>
                </tr>
                <tr>
                    <td align="center">
                        <div id="qrcode" style="    margin-top: 3%;
            margin-bottom: 3%;"></div>
                    </td>
                </tr>
                <tr>
                    <td align="center" style="margin: 0; padding-left:5%;">
                        <hr style="color: #666;background: #666;width: 100%;margin-bottom: 3%;margin-top: 3%;">
                    </td>
                </tr>

                <!-- Invoice Intro Section Start -->
                <tr>
                    <td align="left" style="margin: 0; padding-left:5%;">
                        <h4 style="font-family: Arial;font-size: 1.5rem;font-weight: bold;color: #222; margin: 0; padding: 2%;padding-left: 0px;">1. E-WAY BILL Details</h4>
                    </td>
                </tr>
                <tr>
                    <td align="left" style="margin: 0; padding-left:5%;">
                        <p style="font-size: 1.1.5rem; margin-top: 0;padding-left: 5%;margin-bottom: 3px;">
                            <span style="    height: 7px;width: 7px;background-color: #946b6b;border-radius: 50%;display: inline-block;margin-right: 1%;position: relative;top: -1px;"></span> E-Way Bill No: <strong>{{invoiceData?.ewayBillNo}}</strong>
                        </p>
                    </td>
                </tr>
                <tr>
                    <td align="left" style="margin: 0; padding-left:5%;">
                        <p style="font-size: 1.1.5rem; margin-top: 0;padding-left: 5%;margin-bottom: 3px;">
                            <span style="    height: 7px;width: 7px;background-color: #946b6b;border-radius: 50%;display: inline-block;margin-right: 1%;position: relative;top: -1px;"></span> Mode: <strong>{{invoiceData?.transModeDesc}}</strong>
                        </p>
                    </td>
                </tr>
                <tr>
                    <td align="left" style="margin: 0; padding-left:5%;">
                        <p style="font-size: 1.1.5rem; margin-top: 0;padding-left: 5%;margin-bottom: 3px;">
                            <span style="    height: 7px;width: 7px;background-color: #946b6b;border-radius: 50%;display: inline-block;margin-right: 1%;position: relative;top: -1px;"></span> Type: <strong>{{invoiceData?.supplyTypeDesc}}</strong>
                        </p>
                    </td>
                </tr>
                <tr>
                    <td align="left" style="margin: 0; padding-left:5%;">
                        <p style="font-size: 1.1.5rem; margin-top: 0;padding-left: 5%;margin-bottom: 3px;">
                            <span style="    height: 7px;width: 7px;background-color: #946b6b;border-radius: 50%;display: inline-block;margin-right: 1%;position: relative;top: -1px;"></span> Generated Date: <strong>{{invoiceData?.ewayBillDate}}</strong>
                        </p>
                    </td>
                </tr>
                <tr>
                    <td align="left" style="margin: 0; padding-left:5%;">
                        <p style="font-size: 1.1.5rem; margin-top: 0;padding-left: 5%;margin-bottom: 3px;">
                            <span style="    height: 7px;width: 7px;background-color: #946b6b;border-radius: 50%;display: inline-block;margin-right: 1%;position: relative;top: -1px;"></span> Generated By: <strong>{{invoiceData?.generatedName}}</strong>
                        </p>
                    </td>
                </tr>
                <tr>
                    <td align="left" style="margin: 0; padding-left:5%;">
                        <p style="font-size: 1.1.5rem; margin-top: 0;padding-left: 5%;margin-bottom: 3px;">
                            <span style="    height: 7px;width: 7px;background-color: #946b6b;border-radius: 50%;display: inline-block;margin-right: 1%;position: relative;top: -1px;"></span> Approx Distance: <strong>{{invoiceData?.transDistance}} KM</strong>
                        </p>
                    </td>
                </tr>
                <tr>
                    <td align="left" style="margin: 0; padding-left:5%;">
                        <p style="font-size: 1.1.5rem; margin-top: 0;padding-left: 5%;margin-bottom: 3px;">
                            <span style="    height: 7px;width: 7px;background-color: #946b6b;border-radius: 50%;display: inline-block;margin-right: 1%;position: relative;top: -1px;"></span> Valid Upto: <strong>{{invoiceData?.validUpto}}</strong>
                        </p>
                    </td>
                </tr>
                <!-- Invoice Intro Section End -->

                <!-- Invoice From Section Start -->
                <tr>
                    <td align="center" style="margin: 0; padding-left:5%;">
                        <hr style="color: #666;background: #666;width: 100%;margin-bottom: 3%;margin-top: 3%;">
                    </td>
                </tr>
                <tr>
                    <td align="left" style="margin: 0; padding-left:5%;">
                        <h4 style="font-family: Arial;font-size: 1.5rem;font-weight: bold;color: #222; margin: 0; padding: 2%;padding-left: 0px;">2. Bill From</h4>
                    </td>
                </tr>
                <tr>
                    <td align="left" style="margin: 0; padding-left:5%;">
                        <p style="font-size: 1.5rem; margin-top: 0;padding-left: 5%;margin-bottom: 3px;">
                            GSTIN: {{invoiceData?.fromGstin}},
                            <br />{{invoiceData?.fromTrdName}},
                            <br />{{invoiceData?.fromAddr1}},
                            <br />{{invoiceData?.fromAddr2}},
                            <br />{{invoiceData?.fromPlace}}, {{invoiceData?.fromSupplyDesc}} - {{invoiceData?.fromPincode}}
                        </p>
                    </td>
                </tr>
                <!-- Invoice From Section End -->

                <!-- Invoice To Section Start -->
                <tr>
                    <td align="center" style="margin: 0; padding-left:5%;">
                        <hr style="color: #666;background: #666;width: 100%;margin-bottom: 3%;margin-top: 3%;">
                    </td>
                </tr>
                <tr>
                    <td align="left" style="margin: 0; padding-left:5%;">
                        <h4 style="font-family: Arial;font-size: 1.5rem;font-weight: bold;color: #222; margin: 0; padding: 2%;padding-left: 0px;">3. Bill To</h4>
                    </td>
                </tr>
                <tr>
                    <td align="left" style="margin: 0; padding-left:5%;">
                        <p style="font-size: 1.5rem; margin-top: 0;padding-left: 5%;margin-bottom: 3px;">
                            GSTIN: {{invoiceData?.toGstin}},
                            <br />{{invoiceData?.toTrdName}},
                            <br />{{invoiceData?.toAddr1}},
                            <br />{{invoiceData?.toAddr2}},
                            <br />{{invoiceData?.toPlace}}, {{invoiceData?.toSupplyDesc}} - {{invoiceData?.toPincode}}
                        </p>
                    </td>
                </tr>
                <!-- Invoice To Section End -->

                <!-- Invoice Item Section Start -->
                <tr>
                    <td align="center" style="margin: 0; padding-left:5%;">
                        <hr style="color: #666;background: #666;width: 100%;margin-bottom: 3%;margin-top: 3%;">
                    </td>
                </tr>
                <tr>
                    <td align="left" style="margin: 0; padding-left:5%;">
                        <h4 style="font-family: Arial;font-size: 1.5rem;font-weight: bold;color: #222; margin: 0; padding: 2%;padding-left: 0px;">4. Goods Details</h4>
                    </td>
                </tr>
                <tr>
                    <td align="left" style="margin: 0; padding-left:5%;">
                        <table style="width: 100%;">
                            <tbody style="width: 100%;">
                                <tr *ngFor="let item of invoiceData.itemList; let i = index;">
                                    <td align="left" style="margin: 0; padding-left:5%;">
                                        <p style="font-size: 1.5rem; margin-top: 0;margin-bottom: 3px;padding-left: 3%;">
                                            {{i+1}}. {{item?.itemDescription}} - ( {{item?.qty}} X {{item?.taxablevalue1}} ) = {{returnValue(item?.qty, item?.taxablevalue1)}}
                                        </p>
                                    </td>
                                </tr>
                                <tr>
                                    <td align="left" style="margin: 0; padding-left:5%;">
                                        <h4 style="font-size: 1.5rem;font-weight: bold;margin: 0;padding-left: 3%;">Total: &#x20B9; {{invoiceData?.totalTaxableValue}}</h4>
                                    </td>
                                </tr>
                            </tbody>
                        </table>
                    </td>
                </tr>
                <!-- Invoice Item Section End -->

                <!-- Invoice Transport Section Start -->
                <tr>
                    <td align="center" style="margin: 0; padding-left:5%;">
                        <hr style="color: #666;background: #666;width: 100%;margin-bottom: 3%;margin-top: 3%;">
                    </td>
                </tr>
                <tr>
                    <td align="left" style="margin: 0; padding-left:5%;">
                        <h4 style="font-family: Arial;font-size: 1.5rem;font-weight: bold;color: #222; margin: 0; padding: 2%;padding-left: 0px;">5. Transportation Details</h4>
                    </td>
                </tr>
                <tr>
                    <td align="left" style="margin: 0; padding-left:5%;">
                        <p style="font-size: 1.5rem; margin-top: 0;padding-left: 5%;margin-bottom: 3px;">
                            <span style="    height: 7px;width: 7px;background-color: #946b6b;border-radius: 50%;display: inline-block;margin-right: 1%;position: relative;top: -1px;"></span> Transporter ID: <strong>{{invoiceData?.transporterId}}</strong>
                        </p>
                    </td>
                </tr>
                <tr>
                    <td align="left" style="margin: 0; padding-left:5%;">
                        <p style="font-size: 1.5rem; margin-top: 0;padding-left: 5%;margin-bottom: 3px;">
                            <span style="    height: 7px;width: 7px;background-color: #946b6b;border-radius: 50%;display: inline-block;margin-right: 1%;position: relative;top: -1px;"></span> Name: <strong>{{invoiceData?.transporterName}}</strong>
                        </p>
                    </td>
                </tr>
                <tr>
                    <td align="left" style="margin: 0; padding-left:5%;">
                        <p style="font-size: 1.5rem; margin-top: 0;padding-left: 5%;margin-bottom: 3px;">
                            <span style="    height: 7px;width: 7px;background-color: #946b6b;border-radius: 50%;display: inline-block;margin-right: 1%;position: relative;top: -1px;"></span> Document No: <strong>{{invoiceData?.transDocNo}}</strong>
                        </p>
                    </td>
                </tr>
                <tr>
                    <td align="left" style="margin: 0; padding-left:5%;">
                        <p style="font-size: 1.5rem; margin-top: 0;padding-left: 5%;margin-bottom: 3px;">
                            <span style="    height: 7px;width: 7px;background-color: #946b6b;border-radius: 50%;display: inline-block;margin-right: 1%;position: relative;top: -1px;"></span> Document Date: <strong>{{invoiceData?.transDocDate}}</strong>
                        </p>
                    </td>
                </tr>
                <!-- Invoice Transport Section End -->

                <!-- Invoice Vehicle Section Start -->
                <tr>
                    <td align="center" style="margin: 0; padding-left:5%;">
                        <hr style="color: #666;background: #666;width: 100%;margin-bottom: 3%;margin-top: 3%;">
                    </td>
                </tr>
                <tr>
                    <td align="left" style="margin: 0; padding-left:5%;">
                        <h4 style="font-family: Arial;font-size: 1.5rem;font-weight: bold;color: #222; margin: 0; padding: 2%;padding-left: 0px;">6. Vehicle Details</h4>
                    </td>
                </tr>
                <tr>
                    <td align="left" style="margin: 0; padding-left:5%;">

                        <table style="width: 100%;" *ngFor="let vehicle of invoiceData.vehicleDetaillist; let i = index;">
                            <tbody style="width: 100%;">
                                <tr>
                                    <td align="left" style="margin: 0; padding-left:5%;font-size: 1.5rem;
                                        font-weight: bold;">
                                        {{i+1}}.
                                    </td>
                                </tr>
                                <tr>
                                    <td align="left" style="margin: 0; padding-left:5%;">
                                        <p style="font-size: 1.5rem; margin-top: 0;margin-bottom: 3px;">
                                            <span style="    height: 7px;width: 7px;background-color: #946b6b;border-radius: 50%;display: inline-block;margin-right: 1%;position: relative;top: -1px;"></span> Mode: <strong> {{vehicle?.transMode}} </strong>
                                        </p>
                                    </td>
                                </tr>
                                <tr>
                                    <td align="left" style="margin: 0; padding-left:5%;">
                                        <p style="font-size: 1.5rem; margin-top: 0;margin-bottom: 3px;">
                                            <span style="    height: 7px;width: 7px;background-color: #946b6b;border-radius: 50%;display: inline-block;margin-right: 1%;position: relative;top: -1px;"></span> Vehicle Number: <strong> {{vehicle?.vehicleNo}}</strong>
                                        </p>
                                    </td>
                                </tr>
                                <tr>
                                    <td align="left" style="margin: 0; padding-left:5%;">
                                        <p style="font-size: 1.5rem; margin-top: 0;margin-bottom: 3px;">
                                            <span style="    height: 7px;width: 7px;background-color: #946b6b;border-radius: 50%;display: inline-block;margin-right: 1%;position: relative;top: -1px;"></span> Document Number: <strong> {{vehicle?.transDocNo}}</strong>
                                        </p>
                                    </td>
                                </tr>
                                <tr>
                                    <td align="left" style="margin: 0; padding-left:5%;">
                                        <p style="font-size: 1.5rem; margin-top: 0;margin-bottom: 3px;">
                                            <span style="    height: 7px;width: 7px;background-color: #946b6b;border-radius: 50%;display: inline-block;margin-right: 1%;position: relative;top: -1px;"></span> Document Date: <strong> {{vehicle?.transDocDate}} </strong>
                                        </p>
                                    </td>
                                </tr>
                                <tr>
                                    <td align="left" style="margin: 0; padding-left:5%;">
                                        <p style="font-size: 1.5rem; margin-top: 0;margin-bottom: 3px;">
                                            <span style="    height: 7px;width: 7px;background-color: #946b6b;border-radius: 50%;display: inline-block;margin-right: 1%;position: relative;top: -1px;"></span> From: <strong> {{vehicle?.changePlace}}</strong>
                                        </p>
                                    </td>
                                </tr>
                                <tr>
                                    <td align="left" style="margin: 0; padding-left:5%;">
                                        <p style="font-size: 1.5rem; margin-top: 0;margin-bottom: 3px;">
                                            <span style="    height: 7px;width: 7px;background-color: #946b6b;border-radius: 50%;display: inline-block;margin-right: 1%;position: relative;top: -1px;"></span> Entered Date: <strong>  {{vehicle?.creationDate}}</strong>
                                        </p>
                                    </td>
                                </tr>
                            </tbody>
                        </table>
                    </td>
                </tr>
                <!-- Invoice Vehicle Section End -->
            </tbody>
        </table>
    </div>

    <div id="invoice-final" style="display: none;">
        <table width="960" border="0" cellspacing="0" cellpadding="0" align="center" style="margin: 0 auto; background: #fff; border:none; border-collapse: collapse;">
            <tbody>
                <tr>
                    <td align="center" valign="top" style="padding: 8px 15px 0px; margin: 0;">
                        <table width="100%" border="0" cellspacing="0" cellpadding="0" align="center" style="margin: 0 auto;padding: 0; border: none;">
                            <tbody>
                                <tr>
                                    <td width="30%" align="left" valign="top">
                                        <img src="assets/invoice/satyamev-jayate.jpg" height="80" alt="HostBooks" style="outline: none;border: none; padding: 0 0 0 60px;" />
                                    </td>
                                    <td width="45%" align="center" valign="center">
                                        <label style="font-family: Arial; font-size: 12px; color: #000;margin: 0;padding: 0px 0px 0px;">
                      Government of India
                    </label>
                                        <h4 style="font-family: Arial; font-size: 18px; font-weight: bold; color: #222;margin: 0;padding: 5px 0px 0px;">
                                            e-Way Bill
                                        </h4>
                                    </td>
                                    <td width="25%" align="center" valign="top">
                                        <div id="qrcode"></div>
                                    </td>
                                </tr>
                            </tbody>
                        </table>
                    </td>
                </tr>
                <tr>
                    <td align="center" valign="top" style="margin: 0; padding-left:5%;">
                        <hr style="color: #666;background: #666;width: 100%;margin-bottom: 3%;margin-top: 3%;">
                    </td>
                </tr>

                <tr>
                    <td align="center" valign="top" style="padding: 10px 15px 0px; margin: 0;">
                        <table width="100%" border="0" cellspacing="0" align="center" cellpadding="0" style="margin: 0 auto; margin: 0; padding: 0; border: none;">
                            <tbody>
                                <tr>
                                    <td align="left" valign="top" width="25%">
                                        <table width="100%" border="0" align="center" cellspacing="0" cellpadding="0" style="margin: 0 auto; padding: 0; border: none;">
                                            <tbody>
                                                <tr>
                                                    <td align="left" valign="top" style="font-family: Arial; font-size: 12px; font-weight: 600;color: #222; margin: 0;padding: 0px 0px 15px;">1. E-WAY BILL Details</td>
                                                </tr>
                                                <tr>
                                                    <td align="left" valign="top" style="font-family: Arial; font-size: 12px; font-weight: 500;color: #505050; margin: 0;padding: 0px 0px 5px;">
                                                        eWay Bill no:
                                                        <span style="color: #000; font-size: 14px; font-weight: bold;">{{invoiceData?.ewayBillNo}}</span>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td align="left" valign="top" style="font-family: Arial; font-size: 12px; font-weight: 500;color: #505050;margin: 0;padding: 0px 0px 5px;">Mode:
                                                        <span style="color: #000; font-size: 12px; font-weight: bold;">By {{invoiceData?.transModeDesc}}</span>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td align="left" valign="top" style="font-family: Arial; font-size: 12px; font-weight: 500;color: #505050;margin: 0;padding: 0px 0px 0px;">Type:
                                                        <span style="color: #000; font-size: 12px; font-weight: bold;">{{invoiceData?.supplyTypeDesc}}</span>
                                                    </td>
                                                </tr>
                                            </tbody>
                                        </table>
                                    </td>
                                    <td align="center" valign="top" width="55%">
                                        <table width="100%" border="0" align="center" cellspacing="0" cellpadding="0" style="margin: 0 auto; padding: 0; border: none;">
                                            <tbody>
                                                <tr>
                                                    <td align="left" valign="top" style="font-family: Arial; font-size: 12px; font-weight: 600;color: #222; margin: 0;padding: 0px 0px 15px;">&nbsp;</td>
                                                </tr>
                                                <tr>
                                                    <td align="left" valign="top" style="font-family: Arial; font-size: 12px; font-weight: 500;color: #505050; margin: 0;padding: 0px 0px 5px;">
                                                        Generated Date:
                                                        <span style="color: #000; font-size: 12px; font-weight: bold;">{{invoiceData?.ewayBillDate}} </span>
                                                        <span style="padding:0 0 0 25px;">Generated By:
                              <span style="color: #000; font-size: 12px; font-weight: bold;">{{invoiceData?.generatedGstin}}</span>
                                                        </span>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td align="left" valign="top" style="font-family: Arial; font-size: 12px; font-weight: 500;color: #505050;margin: 0;padding: 0px 0px 5px;">Approx Distance:
                                                        <span style="color: #000; font-size: 12px; font-weight: bold;">{{invoiceData?.transDistance}} KM</span>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td align="left" valign="top" style="font-family: Arial; font-size: 12px; font-weight: 500;color: #505050;margin: 0;padding: 0px 0px 0px;">
                                                        Document Details:
                                                        <span style="color: #000; font-size: 12px; font-weight: bold;">Tax Invoice - {{invoiceData?.docNo}} - {{invoiceData?.docDate}}</span>
                                                    </td>
                                                </tr>
                                            </tbody>
                                        </table>
                                    </td>
                                    <td align="right" valign="top" width="20%">
                                        <table width="100%" border="0" cellspacing="0" cellpadding="0" align="right" style="margin: 0;padding: 0; border: none;">
                                            <tbody>
                                                <tr>
                                                    <td align="right" valign="top" style="font-size: 12px; font-family: Arial; color: #505050; padding: 0px 0px 15px; margin: 0;">&nbsp;</td>
                                                </tr>
                                                <tr>
                                                    <td align="right" valign="top" style="font-size: 12px; font-family: Arial; color: #505050; padding: 0px 0px 5px; margin: 0;">Valid Upto:
                                                        <span style="color: #000; font-size: 12px; font-weight: bold;">{{invoiceData?.validUpto}}</span>
                                                    </td>
                                                </tr>
                                            </tbody>
                                        </table>
                                    </td>
                                </tr>
                            </tbody>
                        </table>
                    </td>
                </tr>
                <tr>
                    <td align="center" valign="top" style="margin: 0; padding-left:5%;">
                        <hr style="color: #666;background: #666;width: 100%;margin-bottom: 3%;margin-top: 3%;">
                    </td>
                </tr>
                <tr *ngIf="invoiceData.isstatus=='CNL'">
                    <td style="position:absolute; z-index:999;">
                        <img src="assets/invoice/cnl.png" width="350" height="250" />
                    </td>
                </tr>
                <tr>
                    <td align="center" valign="top" style="padding: 10px 15px 0px; margin: 0;">
                        <table width="100%" border="0" cellspacing="0" align="center" cellpadding="0" style="margin: 0 auto; margin: 0; padding: 0; border: none;">
                            <tbody>
                                <tr>
                                    <td align="left" valign="top" width="45%">
                                        <table width="100%" border="0" align="center" cellspacing="0" cellpadding="0" style="margin: 0 auto; padding: 0; border: none;">
                                            <tbody>
                                                <tr>
                                                    <td align="left" valign="top" style="font-family: Arial; font-size: 12px; font-weight: 600;color: #222; margin: 0;padding: 0px 0px 15px;">2. Address Details</td>
                                                </tr>


                                                <tr>
                                                    <td align="left" valign="top" width="45%" style="border: 1px solid #666; border-radius:5px; -webkit-border-radius:5px;">
                                                        <table width="100%" border="0" cellpadding="0" cellspacing="0" align="center" style="margin: 0 auto; margin: 0; padding: 5px; border: none; font-family: Arial; font-size: 12px; color: #222;">
                                                            <tbody>
                                                                <tr>
                                                                    <td align="left" valign="top" width="45%;" style="font-weight: 600; padding: 0 0 8px;">From</td>
                                                                </tr>
                                                                <tr>
                                                                    <td>
                                                                        GSTIN: {{invoiceData?.fromGstin}},
                                                                        <br />{{invoiceData?.fromTrdName}},
                                                                        <br />{{invoiceData?.fromAddr1}},
                                                                        <br />{{invoiceData?.fromAddr2}},
                                                                        <br />{{invoiceData?.fromPlace}}, {{invoiceData?.fromSupplyDesc}} - {{invoiceData?.fromPincode}}
                                                                    </td>
                                                                </tr>
                                                            </tbody>
                                                        </table>
                                                    </td>
                                                    <td align="center" valign="top" width="5%">
                                                        &nbsp;
                                                    </td>
                                                    <td align="right" valign="top" width="45%" style="border: 1px solid #666; border-radius:5px; -webkit-border-radius:5px;">
                                                        <table width="100%" border="0" cellpadding="0" cellspacing="0" align="center" style="margin: 0 auto; margin: 0; padding: 5px; border: none; font-family: Arial; font-size: 12px; color: #222;">
                                                            <tbody>
                                                                <tr>
                                                                    <td align="left" valign="top" width="45%;" style="font-weight: 600; padding: 0 0 8px;">To</td>
                                                                </tr>
                                                                <tr>
                                                                    <td>
                                                                        GSTIN: {{invoiceData?.toGstin}},
                                                                        <br />{{invoiceData?.toTrdName}},
                                                                        <br />{{invoiceData?.toAddr1}},
                                                                        <br />{{invoiceData?.toAddr2}},
                                                                        <br />{{invoiceData?.toPlace}}, {{invoiceData?.toSupplyDesc}} - {{invoiceData?.toPincode}}
                                                                    </td>
                                                                </tr>
                                                            </tbody>
                                                        </table>
                                                    </td>
                                                </tr>

                                            </tbody>
                                        </table>
                                    </td>
                                </tr>
                            </tbody>
                        </table>
                    </td>
                </tr>
                <tr>
                    <td align="center" valign="top" style="margin: 0; padding-left:5%;">
                        <hr style="color: #666;background: #666;width: 100%;margin-bottom: 3%;margin-top: 3%;">
                    </td>
                </tr>
                <tr>
                    <td align="center" valign="top">
                        <table width="100%" border="0" cellspacing="0" cellpadding="0" align="center" style="margin: 0 auto; padding: 0px 15px; border: none;">
                            <tbody>
                                <tr>
                                    <td width="41%" align="left" valign="top" style="font-family: Arial; font-size: 12px; font-weight: 600;color: #222; margin: 0;padding: 10px 0px 15px;">3. Good Details</td>
                                </tr>
                            </tbody>
                        </table>
                    </td>
                </tr>
                <tr>
                    <td align="center" valign="top" style="padding: 0px 15px 0px;margin: 0;">
                        <table width="100%" border="0" cellspacing="0" cellpadding="0" align="center" style="margin: 0 auto; padding: 0; border: 1px solid #ccc;">
                            <tbody>
                                <tr>
                                    <th width="15%" align="left" valign="top" style="padding: 8px 0px 8px 5px; margin: 0; color: #222; font-family: Arial; font-size: 12px; font-weight: 600; border-bottom: 1px solid #666;">
                                        HSN Code
                                    </th>
                                    <th width="30%" align="left" valign="top" style="padding: 8px 0px 8px 2px; margin: 0; color: #222; font-family: Arial; font-size: 12px; font-weight: 600; border-bottom: 1px solid #666;">
                                        Product description
                                    </th>
                                    <th width="15%" align="center" valign="top" style="padding: 8px 0px 8px 2px; margin: 0; color: #222; font-family: Arial; font-size: 12px; font-weight: 600; border-bottom: 1px solid #666;">Quantity</th>
                                    <th width="15%" align="left" valign="top" style="padding: 8px 0px 8px 2px; margin: 0;color: #222; font-family: Arial; font-size: 12px; font-weight: 600; border-bottom: 1px solid #666;">Taxable Amount RS.</th>
                                    <th width="25%" align="center" valign="top" style="padding: 8px 0px 8px 2px; margin: 0; color: #222; font-family: Arial; font-size: 12px; font-weight: 600; border-bottom: 1px solid #666;">Tax Rate (C+S+I+Cess)</th>
                                </tr>
                                <tr *ngFor="let item of invoiceData.itemList">
                                    <td width="15%" align="left" valign="top" style="padding: 6px 0px 6px 5px; margin: 0;background: #fff; color: #505050; font-family: Arial; font-size: 12px; font-weight: 500;">
                                        {{item?.hsnSac}} </td>
                                    <td width="30%" align="left" valign="top" style="padding: 6px 0px 6px 2px; margin: 0;background: #fff; color: #505050; font-family: Arial; font-size: 12px; font-weight: 500;">{{item?.itemDescription}}</td>
                                    <td width="15%" align="center" valign="top" style="padding: 6px 0px 6px 2px; margin: 0;background: #fff; color: #505050; font-family: Arial; font-size: 12px; font-weight: 500;">
                                        {{item?.qty}}</td>
                                    <td width="15%" align="center" valign="top" style="padding: 6px 0px 6px 2px; margin: 0;background: #fff; color: #505050; font-family: Arial; font-size: 12px; font-weight: 500;">
                                        {{item?.taxablevalue1}}</td>
                                    <td width="25%" align="center" valign="top" style="padding: 6px 0px 6px 2px; margin: 0;background: #fff; color: #505050; font-family: Arial; font-size: 12px; font-weight: 500;">{{item?.cgstRate}} + {{item?.sgstRate}} + {{item?.igstRate}} + {{item?.cessrate}} </td>
                                </tr>
                            </tbody>
                        </table>
                    </td>
                </tr>

                <tr>
                    <td align="center" valign="top" style="padding: 10px 15px 0px; margin: 0;">
                        <table width="100%" border="0" cellspacing="0" align="center" cellpadding="0" style="margin: 0 auto; margin: 0; padding: 0; border: none;">
                            <tbody>
                                <tr>
                                    <td align="left" valign="top">
                                        <table width="100%" border="0" align="center" cellspacing="0" cellpadding="0" style="margin: 0 auto; padding: 0; border: none;">
                                            <tbody>
                                                <tr>
                                                    <td align="left" valign="top" style="font-size: 12px; font-family: Arial; color: #505050; padding: 0px 0px 5px; margin: 0;">Total Taxable Amount &#8377; {{invoiceData?.totalTaxableValue}}</td>
                                                    <td align="left" valign="top" style="font-size: 12px; font-family: Arial; color: #505050; padding: 0px 0px 5px; margin: 0;">
                                                        CGST Amount &#8377; {{invoiceData?.cgstValue}}
                                                    </td>
                                                    <td align="left" valign="top" style="font-size: 12px; font-family: Arial; color: #505050; padding: 0px 0px 5px; margin: 0;">
                                                        SGST Amount &#8377; {{invoiceData?.sgstValue}}
                                                    </td>
                                                    <td align="left" valign="top" style="font-size: 12px; font-family: Arial; color: #505050; padding: 0px 0px 5px; margin: 0;">
                                                        IGST Amount &#8377; {{invoiceData?.igstValue}}
                                                    </td>
                                                    <td align="left" valign="top" style="font-size: 12px; font-family: Arial; color: #505050; padding: 0px 0px 5px; margin: 0;">
                                                        CESS Amount &#8377; {{invoiceData?.cessValue}}
                                                    </td>
                                                </tr>
                                            </tbody>
                                        </table>
                                    </td>
                                </tr>
                            </tbody>
                        </table>
                    </td>
                </tr>

                <tr>
                    <td align="center" valign="top" style="margin: 0; padding-left:5%;">
                        <hr style="color: #666;background: #666;width: 100%;margin-bottom: 3%;margin-top: 3%;">
                    </td>
                </tr>
                <tr>
                    <td align="center" valign="top">
                        <table width="100%" border="0" cellspacing="0" cellpadding="0" align="center" style="margin: 0 auto; padding: 0px 15px; border: none;">
                            <tbody>
                                <tr>
                                    <td width="41%" align="left" valign="top" style="font-family: Arial; font-size: 12px; font-weight: 600;color: #222; margin: 0;padding: 10px 0px 15px;">4. Transportation Details</td>
                                </tr>
                            </tbody>
                        </table>
                    </td>
                </tr>
                <tr>
                    <td align="center" valign="top" style="padding:0px 15px 15px; margin: 0;">
                        <table width="100%" border="0" cellspacing="0" cellpadding="0" align="center" style="margin: 0 auto; padding: 0;">
                            <tbody>
                                <tr>
                                    <td width="50%" align="left" valign="top" style="font-family: Arial; font-size: 11px; color: #505050; margin: 0; padding: 0;line-height: 4px;">Transporter ID & Name:
                                        <span style="color: #000; font-size: 12px; font-weight: bold;">{{invoiceData?.transporterId}} & {{invoiceData?.transporterName}}</span>
                                    </td>
                                    <td width="50%" align="right" valign="top" style="font-family: Arial; font-size: 11px; color: #505050; margin: 0; padding: 0;line-height: 4px;">
                                        Transporter Doc. No & Date:
                                        <span style="color: #000; font-size: 12px; font-weight: bold;">
                        {{invoiceData?.transDocNo}} & {{invoiceData?.transDocDate}}</span>
                                    </td>
                                </tr>
                            </tbody>
                        </table>
                    </td>
                </tr>
                <tr>
                    <td align="center" valign="top" style="margin: 0; padding-left:5%;">
                        <hr style="color: #666;background: #666;width: 100%;margin-bottom: 3%;margin-top: 3%;">
                    </td>
                </tr>
                <tr>
                    <td align="center" valign="top">
                        <table width="100%" border="0" cellspacing="0" cellpadding="0" align="center" style="margin: 0 auto; padding: 0px 15px; border: none;">
                            <tbody>
                                <tr>
                                    <td width="41%" align="left" valign="top" style="font-family: Arial; font-size: 12px; font-weight: 600;color: #222; margin: 0;padding: 10px 0px 15px;">5. Vehicle Details</td>
                                </tr>
                            </tbody>
                        </table>
                    </td>
                </tr>
                <tr>
                    <td align="center" valign="top" style="padding: 0px 15px 0px;margin: 0;">
                        <table width="100%" border="0" cellspacing="0" cellpadding="0" align="center" style="margin: 0 auto; padding: 0; border: 1px solid #ccc;">
                            <tbody>
                                <tr>
                                    <th width="10%" align="left" valign="top" style="padding: 8px 0px 8px 5px; margin: 0; color: #222; font-family: Arial; font-size: 12px; font-weight: 600; border-bottom: 1px solid #666;">
                                        Mode
                                    </th>
                                    <th width="20%" align="left" valign="top" style="padding: 8px 0px 8px 2px; margin: 0; color: #222; font-family: Arial; font-size: 12px; font-weight: 600; border-bottom: 1px solid #666;">
                                        Vehicle/Trans Doc No. & DT.
                                    </th>
                                    <th width="10%" align="center" valign="top" style="padding: 8px 0px 8px 2px; margin: 0; color: #222; font-family: Arial; font-size: 12px; font-weight: 600; border-bottom: 1px solid #666;">From</th>
                                    <th width="15%" align="left" valign="top" style="padding: 8px 0px 8px 2px; margin: 0;color: #222; font-family: Arial; font-size: 12px; font-weight: 600; border-bottom: 1px solid #666;">Entered Date</th>
                                    <th width="15%" align="center" valign="top" style="padding: 8px 0px 8px 2px; margin: 0; color: #222; font-family: Arial; font-size: 12px; font-weight: 600; border-bottom: 1px solid #666;">Entered By</th>
                                    <th width="15%" align="center" valign="top" style="padding: 8px 0px 8px 2px; margin: 0; color: #222; font-family: Arial; font-size: 12px; font-weight: 600; border-bottom: 1px solid #666;">CEWB No. (If any)</th>
                                </tr>
                                <tr *ngFor="let vehicle of invoiceData.vehicleDetaillist">
                                    <td width="10%" align="left" valign="top" style="padding: 6px 0px 6px 5px; margin: 0;background: #fff; color: #505050; font-family: Arial; font-size: 12px; font-weight: 500;">
                                        By {{vehicle?.transMode}} </td>
                                    <td width="20%" align="left" valign="top" style="padding: 6px 0px 6px 2px; margin: 0;background: #fff; color: #505050; font-family: Arial; font-size: 12px; font-weight: 500;">{{vehicle?.vehicleNo}} & {{vehicle?.transDocNo}} & {{vehicle?.transDocDate}} </td>
                                    <td width="10%" align="center" valign="top" style="padding: 6px 0px 6px 2px; margin: 0;background: #fff; color: #505050; font-family: Arial; font-size: 12px; font-weight: 500;">{{vehicle?.changePlace}}</td>
                                    <td width="15%" align="center" valign="top" style="padding: 6px 0px 6px 2px; margin: 0;background: #fff; color: #505050; font-family: Arial; font-size: 12px; font-weight: 500;">
                                        {{vehicle?.creationDate}}</td>
                                    <td width="15%" align="center" valign="top" style="padding: 6px 0px 6px 2px; margin: 0;background: #fff; color: #505050; font-family: Arial; font-size: 12px; font-weight: 500;">{{vehicle?.userGSTIN}}</td>
                                    <td width="15%" align="center" valign="top" style="padding: 6px 0px 6px 2px; margin: 0;background: #fff; color: #505050; font-family: Arial; font-size: 12px; font-weight: 500;">-</td>
                                </tr>
                            </tbody>
                        </table>
                    </td>
                </tr>
                <tr>
                    <td align="center" valign="top" style="padding:10px 0 0;">
                        <div id="barcodes"></div>
                    </td>
                </tr>
                <tr>
                    <td align="center" valign="top" style="margin: 0; padding-left:5%;">
                        <hr style="color: #666;background: #666;width: 100%;margin-bottom: 3%;margin-top: 3%;">
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
</ion-content>

<ion-footer>
    <button ion-button full (click)="printEwayBill()">Print Full Invoice</button>
</ion-footer>